<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:43:22 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.languages.cpp.library.ui 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.languages.cpp.library.ui 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.library.ui"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.library.ui</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.library.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.library.ui">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html#getDefault--">getDefault()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.cpp.library.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.library.ui">Activator</a></dt>
<dd>
<div class="block">Returns the shared instance</div>
</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.library.ui</a> - package org.eclipse.papyrus.designer.languages.cpp.library.ui</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.cpp.library.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.library.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.library.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.library.ui">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.library.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.library.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="org/eclipse/papyrus/designer/languages/cpp/library/ui/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
